//
//  Plugin.h
//  Plugin
//
//  Created by tom on 24.06.05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import "RSS.h"
#include "Atom/AtomClient.h"
#include "Atom/AtomFeed.h"

@interface Plugin : NSObject {
    WebView *_webview;
    NSMutableString *_content;
	RSS *_rssFeed;
    AtomFeed *_atomFeed;
    AtomClient *_atomClient;
}
- (id) initWithWebView:(WebView *)webview;
- (void) windowScriptObjectAvailable:(WebScriptObject *)wso;
+ (NSString *) webScriptNameForSelector:(SEL)s;
+ (BOOL) isSelectorExcludedFromWebScript:(SEL)s;
@end
